Bug 1484450 - please provide meson build for EPEL 7
Summary: please provide meson build for EPEL 7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: meson
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-23 15:38 UTC by Petr Špaček
Modified: 2017-10-04 22:18 UTC (History)
4 users (show)

Fixed In Version: meson-0.42.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-04 22:18:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Špaček 2017-08-23 15:38:57 UTC
It would be great if you could build meson packages for EPEL 7 as well.

Thank you for considering this!

Comment 1 Igor Gnatenko 2017-08-23 15:53:40 UTC
EPEL policies state that package should not have incompatible updates. It is not possible with meson -> WONTFIX..



Though I maintain COPR repository for this -- https://copr.fedorainfracloud.org/coprs/ignatenkobrain/meson-el7

Comment 2 Petr Špaček 2017-08-23 15:57:53 UTC
Okay, thank you for reply. Unfortunatelly COPR is not good enough because we wanted to used meson to build knot-resolver in EPEL, which would not be possible.

Have a nice day!

Comment 3 Igor Gnatenko 2017-08-23 16:02:22 UTC
(In reply to Petr Špaček from comment #2)
> Okay, thank you for reply. Unfortunatelly COPR is not good enough because we
> wanted to used meson to build knot-resolver in EPEL, which would not be
> possible.
Do you already have EPEL7 branch in there and update now requires meson or you were planning to create new EPEL7 branch?

Comment 4 Petr Špaček 2017-08-24 10:47:33 UTC
To give you more background:
We were considering move to meson in Knot Resolver upstream. The fact that meson is not available in EPEL 7 is a reason not to move to meson upstream because it would prevent us from building new versions of knot-resolver package for RHEL.

Comment 5 Igor Gnatenko 2017-08-24 13:49:56 UTC
(In reply to Petr Špaček from comment #4)
> To give you more background:
> We were considering move to meson in Knot Resolver upstream. The fact that
> meson is not available in EPEL 7 is a reason not to move to meson upstream
> because it would prevent us from building new versions of knot-resolver
> package for RHEL.

Thanks for providing background!

If this is the only one thing which blocks you (upstream) from switching to meson? If so - I will definitely go ahead and create EPEL7 branch in some nearest future.


P.S. I hope you don't want to have it in EPEL6.. ;)

Comment 6 Petr Špaček 2017-08-24 14:06:02 UTC
EPEL 6 is a dead horse for us. Thank you!

Comment 7 Petr Špaček 2017-08-24 14:22:09 UTC
Oh, wait, I just realized we have to check another platform - Turris OS. I will keep you posted with results.

Comment 8 Igor Gnatenko 2017-08-24 14:33:38 UTC
Also note that since it is build-time dependency and you don't have problems with using network connection from there, you could run `pip install meson` or such..

Comment 9 Fedora Update System 2017-09-18 14:38:35 UTC
meson-0.42.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-033f17e551

Comment 10 Fedora Update System 2017-09-19 17:20:08 UTC
meson-0.42.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-033f17e551

Comment 11 Tuomo Soini 2017-09-20 06:49:56 UTC
There is a issue in meson. It doesn't build against rhel 7.4 version of vulkan and I just requested retirement of vulkan on epel7 because it updates rhel7 version.

Comment 12 Tuomo Soini 2017-09-20 06:53:07 UTC
Check bug#1493407

Comment 13 Tuomo Soini 2017-09-20 07:10:18 UTC
Tested - meson builds fine against rhel7 vulkan if BR: pkgconfig(vulkan) is changed to vulkan-devel.

Comment 14 Igor Gnatenko 2017-09-20 07:14:47 UTC
(In reply to Tuomo Soini from comment #13)
> Tested - meson builds fine against rhel7 vulkan if BR: pkgconfig(vulkan) is
> changed to vulkan-devel.

mind reporting new bug for upstream meson so we can try to fix it?

Comment 15 Tuomo Soini 2017-09-20 07:54:29 UTC
This is spec only issue.

Comment 16 Tuomo Soini 2017-09-20 07:55:07 UTC
I explain better: rhel7 has older vulcan which doesn't provide pkgconfig(vulcan).

Comment 17 Tuomo Soini 2017-09-20 09:31:16 UTC
Sorry. pkgconfig(vulkan).

Comment 18 Fedora Update System 2017-10-04 22:18:30 UTC
meson-0.42.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.